MRCAL(1)

NAME
mrcal-reproject-points - Reprojects pixel observations from one model to another

SYNOPSIS
  $ < points-in.vnl
    mrcal-reproject-points
      from.cameramodel to.cameramodel
    > points-out.vnl

DESCRIPTION
This tool takes a set of pixel observations of points captured by one camera model, and transforms them into observations of the same points captured by another model. This is similar to mrcal-reproject-image, but acts on discrete points, rather than on whole images. The two sets of intrinsics are always used. The translation component of the extrinsics is always ignored; the rotation is ignored as well if --intrinsics-only.

This allows one to combine multiple image-processing techniques that expect different projections. For instance, planes projected using a pinhole projection have some nice properties, and we can use those after running this tool.

The input data comes in on standard input, and the output data is written to standard output. Both are vnlog data: human-readable text with 2 columns: x and y pixel coords. Comments are allowed, and start with the '#' character.

OPTIONS

  POSITIONAL ARGUMENTS
  model-from         Camera model for the input points.
  model-to           Camera model for the output points.

  OPTIONAL ARGUMENTS
  -h, --help         show this help message and exit
  --intrinsics-only  By default, the relative camera rotation is used in the
                     transformation. If we want to use the intrinsics ONLY,
                     pass --intrinsics-only. Note that relative translation is
                     ALWAYS ignored

REPOSITORY
<https://www.github.com/dkogan/mrcal>

AUTHOR
Dima Kogan, "<dima@secretsauce.net>"

LICENSE AND COPYRIGHT
Copyright (c) 2017-2023 California Institute of Technology ("Caltech"). U.S. Government sponsorship acknowledged. All rights reserved.

Licensed under the Apache License, Version 2.0 (the "License"); You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0